Loading...
Searching...
No Matches
validate.h File Reference
`#include "fourdst/config/ansi.h"`
`#include <rfl.hpp>`
`#include <toml++/toml.h>`
`#include <string>`
`#include <string_view>`
`#include <vector>`
`#include <iostream>`
`#include <format>`
`#include <type_traits>`
`#include <optional>`
`#include <map>`
`#include <unordered_map>`
`#include <sstream>`
Include dependency graph for validate.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | fourdst::config::validate::is_optional_impl< T >
struct | fourdst::config::validate::is_optional_impl< std::optional< T > >
struct | fourdst::config::validate::is_vector_impl< T >
struct | fourdst::config::validate::is_vector_impl< std::vector< T, A > >
struct | fourdst::config::validate::is_map_impl< T >
struct | fourdst::config::validate::is_map_impl< std::map< K, V, C, A > >
struct | fourdst::config::validate::is_map_impl< std::unordered_map< K, V, H, E, A > >
struct | fourdst::config::validate::ConfigValidator< StructType >
struct | fourdst::config::validate::ConfigValidator< StructType >::TupleChecker< rfl::NamedTuple< Fields... > >
struct | fourdst::config::validate::MissingFieldTree

## Namespaces

namespace | fourdst
namespace | fourdst::config
namespace | fourdst::config::validate

## Functions

void | fourdst::config::validate::print_missing_field_tree (const MissingFieldTree &tree, std::string indent, bool is_last, const std::string &name, std::string &output)
std::string | fourdst::config::validate::report_all_missing_fields (const std::vector< std::string > &missing)

## Variables

template<typename Type>
constexpr bool | fourdst::config::validate::is_optional_v = is_optional_impl<std::remove_cvref_t<Type>>::value
template<typename Type>
constexpr bool | fourdst::config::validate::is_vector_v = is_vector_impl<std::remove_cvref_t<Type>>::value
template<typename Type>
constexpr bool | fourdst::config::validate::is_map_v = is_map_impl<std::remove_cvref_t<Type>>::value
template<typename Type>
constexpr bool | fourdst::config::validate::is_string_like_v
template<typename Type>
constexpr bool | fourdst::config::validate::is_reflectable_struct_v